Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.value
Interface IValueChangeListener

All Superinterfaces:
  IObservablesListener

    public interface IValueChangeListener

extends IObservablesListener

Listener for changes to observable values.

Since:
  1.0

Method Summary
`void` `handleValueChange(ValueChangeEvent event)` Handles a change to an observable value.

Method Detail

### handleValueChange

    void handleValueChange(ValueChangeEvent event)

  Handles a change to an observable value. The given event object must only be used locally in this method because it may be reused for other change notifications. The diff object referenced by the event is immutable and may be used non-locally.

  Parameters:
    `event` - the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.